commit 76e2d990ac79e2b6b8e2a7322dd9a1da7a4988e5
Author: George Pantazis <gpant@noc.grnet.gr>
Date:   Fri Mar 16 18:49:36 2012 +0200

    Removed Default Value Types since registry makes the first key without a valuename as the default
    
    Signed-off-by: George Pantazis <gpant@noc.grnet.gr>

diff --git a/trunk/Pithos.Installer/PithosPlus.iss b/trunk/Pithos.Installer/PithosPlus.iss
index dfcb835..646ee3a 100644
--- a/trunk/Pithos.Installer/PithosPlus.iss
+++ b/trunk/Pithos.Installer/PithosPlus.iss
@@ -120,7 +120,7 @@ Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChang
 
 [Registry]
 ;Startup >>> Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueType: string; ValueName: "Pithos+"; ValueData: """{app}\{#MyAppExeName}"""; Flags: createvalueifdoesntexist uninsdeletevalue
-Root: "HKCR"; Subkey: "*\shellex\ContextMenuHandlers\Pithos.FileContextMenu"; ValueType: "String"; ValueName: "(Default)"; ValueData: "{{b1f1405d-94a1-4692-b72f-fc8caf8b8700}}"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "*\shellex\ContextMenuHandlers\Pithos.FileContextMenu"; ValueType: "String"; ValueData: "{{b1f1405d-94a1-4692-b72f-fc8caf8b8700}}"; Flags: uninsdeletekey
 
 Root: "HKCR"; Subkey: "CLSID\{{0CFB4119-DABE-4E32-AB2D-2D41873BC599}}"; ValueType: "String"; ValueData: "PithosContextMenu"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{0CFB4119-DABE-4E32-AB2D-2D41873BC599}}\InprocServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
@@ -135,33 +135,33 @@ Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServ
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32"; ValueType: "String"; ValueName: "ThreadingModel"; ValueData: "Both"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "(Default)"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
-Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\ProgId"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}\ProgId"; ValueType: "String";ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.DeletedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32";ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32"; ValueType: "String"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.DeletedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\InprocServer32"; ValueType: "String"; ValueName: "ThreadingModel"; ValueData: "Both"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\ProgId"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.DeletedIconOverlay"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\ProgId"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.DeletedIconOverlay"; Flags: uninsdeletekey
 
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\Implemented Categories"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.NormalIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "ThreadingModel"; ValueData: "Both"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "(Default)"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32\1.0.0.0"; ValueType: "String"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.NormalIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
@@ -171,13 +171,13 @@ Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\ProgId"; V
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\Implemented Categories"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.ModifiedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "ThreadingModel"; ValueData: "Both"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "(Default)"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32\1.0.0.0"; ValueType: "String"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.ModifiedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
@@ -187,13 +187,13 @@ Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\ProgId"; V
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\Implemented Categories"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.ConflictIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "ThreadingModel"; ValueData: "Both"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "(Default)"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32\1.0.0.0"; ValueType: "String"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.ConflictIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
@@ -202,14 +202,14 @@ Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\ProgId"; V
 
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\Implemented Categories"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Menus.FileContextMenu"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "ThreadingModel"; ValueData: "Both"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "(Default)"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32\1.0.0.0"; ValueType: "String"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Menus.FileContextMenu"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
